c       rem to compile this program with -r8 option
	open(1,file='lf.inp')
	read(1,*)alpha,rmstar,fistar               
	close(1)
C       all rm are absolute magnitudes

	rmsun=4.75                                 !(para el sol)    
	rlsun=3.826e33   !(erg/s)                  !(para el sol)
	rlstar=rlsun*10.**((rmstar-rmsun)/(-2.5))
	write(*,*)rlstar

	open(2,file='lf.dat')
	do rM=-23,-15,.1
	rl=rlsun*10.**((rm-rmsun)/(-2.5))
	fi=0.921*fistar*(rl/rlstar)**(alpha+1)*exp(-rl/rlstar)
	write(2,*)rm,fi
	enddo
	end
